3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php function inverse($x) { if (!$x) { throw new Exception('Division by zero.'); } return 1/$x; } try { echo inverse(5) . "\n"; echo inverse(0) . "\n"; } catch (Exception $e) { echo 'Caught exception: ', $e->getMessage(), "\n"; } echo inverse(0) . "\n"; ?>
Output for 7.0.0 - 7.1.0
0.2 Caught exception: Division by zero. Fatal error: Uncaught Exception: Division by zero. in /in/H2m4s:4 Stack trace: #0 /in/H2m4s(18): inverse(0) #1 {main} thrown in /in/H2m4s on line 4
Process exited with code 255.
Output for hhvm-3.12.0
0.2 Caught exception: Division by zero. Fatal error: Uncaught exception 'Exception' with message 'Division by zero.' in /in/H2m4s:4 Stack trace: #0 /in/H2m4s(18): inverse() #1 {main}
Process exited with code 255.
Output for hhvm-3.10.0
0.2 Caught exception: Division by zero. Fatal error: Uncaught exception 'Exception' with message 'Division by zero.' in /in/H2m4s:29 Stack trace: #0 /in/H2m4s(27): inverse() #1 {main}
Process exited with code 255.
Output for 5.0.0 - 5.0.2, 5.0.5 - 5.6.28
0.2 Caught exception: Division by zero. Fatal error: Uncaught exception 'Exception' with message 'Division by zero.' in /in/H2m4s:4 Stack trace: #0 /in/H2m4s(18): inverse(0) #1 {main} thrown in /in/H2m4s on line 4
Process exited with code 255.
Output for 5.0.3 - 5.0.4
0.2 Caught exception: Division by zero. Fatal error: Uncaught exception 'Exception' with message 'Division by zero.' in /in/H2m4s:4 Stack trace: #0 /in/H2m4s(4): inverse() #1 /in/H2m4s(18): inverse(0) #2 {main} thrown in /in/H2m4s on line 4
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_NEW in /in/H2m4s on line 4
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_NEW in /in/H2m4s on line 4
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/H2m4s on line 4
Process exited with code 255.